@import "../../utils/variables.scss";

.root {
  display: flex;
  align-items: flex-start;
  flex-direction: column;
  position: fixed;
  top: 0;
  left: 0;
  &[data-theme="dark"] {
    button.application {
      background-color: inherit;
      border: 0;
      outline: 0;
      &:hover {
        color: darken($icon-color-light, 30%);
        cursor: pointer;
      }
    }
  }
  &[data-theme="light"] {
    button.application {
      background-color: inherit;
      border: 0;
      outline: 0;
      &:hover {
        color: lighten($icon-color-dark, 30%);
        cursor: pointer;
      }
    }
  }
  button.application {
    display: flex;
    align-items: center;
    z-index: 10;
    height: $header-top-space-height;
    width: $header-top-space-height;
    color: currentColor;
    padding: 10px;
  }
  button.application.active {
    color: $icon-color-dark;
  }

  .appMenu {
    z-index: 1;
    position: absolute;
    top: 0;
    left: 0;
    padding-top: 1.5 * $header-top-space-height;
    background-color: inherit;
    width: 30rem;
    height: 100vh;
    background-color: $background-color-main-light;
    transform-origin: top left;

    li {
      list-style: none;
      &.views {
        color: black;
        font-size: 2rem;
        width: 50%;
        margin-left: 1rem;
        transition: all ease-in-out 0.1s;
        a {
          padding: 1rem;
          display: block;
          color: inherit;
          &:hover {
            text-decoration: none;
            transition: all ease-in-out 0.2s;
            box-shadow: 5px 5px 20px 0px rgba(0, 0, 0, 0.2);
          }
        }
        &:last-child {
          margin-bottom: 1rem;
        }
      }
    }
    .recentCases {
      font-size: 1.4rem;
      padding: 1rem;
      margin-left: 1rem;
      color: black;
    }
    &.applicationVisible {
      opacity: 1;
      visibility: visible;
      transition: all ease-in-out 0.1s;
      transform: scale3d(1, 1, 1);
    }
    &.hidden {
      visibility: hidden;
      opacity: 0;
      transition: all ease-out 0.1s;
      transform: scale3d(0.8, 0.8, 1);
    }
  }
  .modalOverlay {
    position: fixed;
    left: 0;
    top: 0;
    border: 0;
    height: 100vh;
    width: 100vw;
    z-index: 1;
    background-color: rgba(0, 0, 0, 0.8);
    transition: all ease-out 0.3s;
    visibility: visible;
    opacity: 1;
    &.hidden {
      visibility: hidden;
      opacity: 0;
    }
  }
}
